<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Bluetooth/test/BluetoothAVRCPTransformerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_2fa9f33c88ab044378089e969c1a626c.html">Bluetooth</a></li><li class="navelem"><a class="el" href="dir_bfe876b049f2a0e737cbdacf08ca09d9.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">BluetoothAVRCPTransformerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_bluetooth_a_v_r_c_p_transformer_8h_source.html">Bluetooth/BluetoothAVRCPTransformer.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for BluetoothAVRCPTransformerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_bluetooth_a_v_r_c_p_transformer_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_bluetooth_2test_2_bluetooth_a_v_r_c_p_transformer_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_bluetooth_2test_2_bluetooth_a_v_r_c_p_transformer_test_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_bluetooth_2test_2_bluetooth_a_v_r_c_p_transformer_test_8cpp">
<area shape="rect" id="node5" href="_bluetooth_a_v_r_c_p_transformer_8h.html" title="Bluetooth/BluetoothAVRCPTransformer.h" alt="" coords="653,119,918,144"/>
<area shape="rect" id="node7" href="_playback_router_interface_8h.html" title="AVSCommon/SDKInterfaces\l/PlaybackRouterInterface.h" alt="" coords="143,192,334,231"/>
<area shape="rect" id="node11" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="1146,192,1337,231"/>
<area shape="rect" id="node16" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="901,365,1091,404"/>
<area shape="rect" id="node9" href="_playback_handler_interface_8h.html" title="PlaybackHandlerInterface.h" alt="" coords="210,285,395,311"/>
<area shape="rect" id="node10" href="_playback_buttons_8h.html" title="AVSCommon/AVS/PlaybackButtons.h" alt="" coords="195,372,440,397"/>
<area shape="rect" id="node30" href="_bluetooth_event_listener_interface_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventListenerInterface.h" alt="" coords="883,279,1109,317"/>
<area shape="rect" id="node17" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="932,452,1177,491"/>
<area shape="rect" id="node20" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="245,539,462,591"/>
<area shape="rect" id="node28" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="1208,539,1430,591"/>
<area shape="rect" id="node29" href="_a2_d_p_role_8h.html" title="AVSCommon/Utils/Bluetooth\l/A2DPRole.h" alt="" coords="718,452,909,491"/>
<area shape="rect" id="node21" href="_bluetooth_service_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/Bluetooth\lServiceInterface.h" alt="" coords="754,639,950,691"/>
<area shape="rect" id="node22" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="923,739,1133,791"/>
<area shape="rect" id="node26" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="752,539,952,591"/>
<area shape="rect" id="node27" href="_a_v_r_c_p_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPController\lInterface.h" alt="" coords="485,539,728,591"/>
<area shape="rect" id="node23" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="427,645,647,684"/>
<area shape="rect" id="node24" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="597,839,819,864"/>
<area shape="rect" id="node25" href="_formatted_audio_stream_adapter_listener_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapterListener.h" alt="" coords="404,745,671,784"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test_1_1_mock_playback_router.html">alexaClientSDK::capabilityAgents::bluetooth::test::MockPlaybackRouter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test_1_1_bluetooth_a_v_r_c_p_transformer_test.html">alexaClientSDK::capabilityAgents::bluetooth::test::BluetoothAVRCPTransformerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html">alexaClientSDK::capabilityAgents::bluetooth</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html">alexaClientSDK::capabilityAgents::bluetooth::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae6dfbf69331ea6491d9104773036f591"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#ae6dfbf69331ea6491d9104773036f591">alexaClientSDK::capabilityAgents::bluetooth::test::TEST_F</a> (BluetoothAVRCPTransformerTest, test_createWithNullParams)</td></tr>
<tr class="memdesc:ae6dfbf69331ea6491d9104773036f591"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that create() returns a nullptr if called with invalid arguments.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#ae6dfbf69331ea6491d9104773036f591">More...</a><br /></td></tr>
<tr class="separator:ae6dfbf69331ea6491d9104773036f591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eeaaa76a0804d79453598fc4ee18efb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a8eeaaa76a0804d79453598fc4ee18efb">alexaClientSDK::capabilityAgents::bluetooth::test::TEST_F</a> (BluetoothAVRCPTransformerTest, test_handlePlayCommand)</td></tr>
<tr class="memdesc:a8eeaaa76a0804d79453598fc4ee18efb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a Play AVRCP command is transformed to playButtonPressed().  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a8eeaaa76a0804d79453598fc4ee18efb">More...</a><br /></td></tr>
<tr class="separator:a8eeaaa76a0804d79453598fc4ee18efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c6223f9a27331d6b3fcb5a3c6623d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a21c6223f9a27331d6b3fcb5a3c6623d0">alexaClientSDK::capabilityAgents::bluetooth::test::TEST_F</a> (BluetoothAVRCPTransformerTest, test_handlePauseCommand)</td></tr>
<tr class="memdesc:a21c6223f9a27331d6b3fcb5a3c6623d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a Pause AVRCP command is transformed to pauseButtonPressed().  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a21c6223f9a27331d6b3fcb5a3c6623d0">More...</a><br /></td></tr>
<tr class="separator:a21c6223f9a27331d6b3fcb5a3c6623d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f62afb131e013119b69d5433e644dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a62f62afb131e013119b69d5433e644dd">alexaClientSDK::capabilityAgents::bluetooth::test::TEST_F</a> (BluetoothAVRCPTransformerTest, test_handleNextCommand)</td></tr>
<tr class="memdesc:a62f62afb131e013119b69d5433e644dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a Next AVRCP command is transformed to nextButtonPressed().  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a62f62afb131e013119b69d5433e644dd">More...</a><br /></td></tr>
<tr class="separator:a62f62afb131e013119b69d5433e644dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc7587b4e7db14ac153f5ef12665831"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a0fc7587b4e7db14ac153f5ef12665831">alexaClientSDK::capabilityAgents::bluetooth::test::TEST_F</a> (BluetoothAVRCPTransformerTest, test_handlePreviousCommand)</td></tr>
<tr class="memdesc:a0fc7587b4e7db14ac153f5ef12665831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a Previous AVRCP command is transformed to previousButtonPressed().  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a0fc7587b4e7db14ac153f5ef12665831">More...</a><br /></td></tr>
<tr class="separator:a0fc7587b4e7db14ac153f5ef12665831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6918de047491b70de93eb08df64158c6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a6918de047491b70de93eb08df64158c6">alexaClientSDK::capabilityAgents::bluetooth::test::TEST_F</a> (BluetoothAVRCPTransformerTest, test_unrelatedEvent)</td></tr>
<tr class="memdesc:a6918de047491b70de93eb08df64158c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that an unrelated event does not trigger any calls to the PlaybackRouter.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a6918de047491b70de93eb08df64158c6">More...</a><br /></td></tr>
<tr class="separator:a6918de047491b70de93eb08df64158c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
